drop table if exists tnt_config.node_custom_field;
drop table if exists tnt_config.custom_field;
create table tnt_config.custom_field (
	id serial primary key,
	name text
) Without Oids;
create index custom_field_name_idx on tnt_config.custom_field (name);
alter table tnt_config.custom_field owner to impadmin;
grant select on table tnt_config.custom_field to reports;
insert into tnt_config.custom_field (name) values ('COMPANYCODE');
insert into tnt_config.custom_field (name) values ('CLIENTID');
create table tnt_config.node_custom_field (
        node_id int not null references tnt_config.node (id) on delete cascade on update cascade,
        custom_field_id int not null references tnt_config.custom_field (id) on delete cascade on update cascade,
	value text not null
) Without Oids;
create index node_custom_field_node_id_idx on tnt_config.node_custom_field (node_id);
create index node_custom_field_custom_field_id_idx on tnt_config.node_custom_field (custom_field_id);
create unique index node_custom_field_combo_idx on tnt_config.node_custom_field (node_id, custom_field_id);
alter table tnt_config.node_custom_field owner to impadmin;
grant select on table tnt_config.node_custom_field to reports;
