drop table if exists tnt_audit.summaryreport_browser_tab_stats cascade;
CREATE TABLE tnt_audit.summaryreport_browser_tab_stats (
    node_id integer NOT NULL,
    start_date timestamp without time zone NOT NULL,
    end_date timestamp without time zone NOT NULL,
    type text not null,
    id integer not null,
    details hstore not null,
	url_proto text,
	url_host text,
	url_domain text,
	url_path text,
	pid integer
) partition by range (end_date);

ALTER TABLE tnt_audit.summaryreport_browser_tab_stats OWNER TO impadmin;
REVOKE ALL ON TABLE tnt_audit.summaryreport_browser_tab_stats FROM PUBLIC;
REVOKE ALL ON TABLE tnt_audit.summaryreport_browser_tab_stats FROM impadmin;
GRANT ALL ON TABLE tnt_audit.summaryreport_browser_tab_stats TO impadmin;
GRANT SELECT ON TABLE tnt_audit.summaryreport_browser_tab_stats TO reports;
GRANT SELECT ON TABLE tnt_audit.summaryreport_browser_tab_stats TO vcops;

alter table tnt_audit.summaryreport_browser_process_stats drop url_proto;
alter table tnt_audit.summaryreport_browser_process_stats drop url_host;
alter table tnt_audit.summaryreport_browser_process_stats drop url_domain;
alter table tnt_audit.summaryreport_browser_process_stats drop url_path;
