alter table tnt_audit.summaryreport_process_stats add anr_count smallint;

-- fix column in rollup if exists
Create or Replace function "lwl_rollup".fix_rollup_app_stat_anr()
Returns void As
$$
DECLARE
        partitionName text;
	constraintName text;
BEGIN
        for partitionName in select tablename from pg_tables where schemaname = 'lwl_rollup' and tablename like 'sr_app_stats_da'  loop 
		perform partman.drop_partition_column('lwl_rollup.sr_app_stats_da', 'non_responsive'); 
        end loop;
END;
$$
Language plpgsql
Volatile
Called On Null Input
Security invoker;

-- update rollup tables 
select lwl_rollup.fix_rollup_app_stat_anr();
drop function lwl_rollup.fix_rollup_app_stat_anr();
