Create or Replace function "lwl_rollup".remove_legacy_stat_tables()
Returns void As
$$
DECLARE
        partitionName text;
BEGIN
        for partitionName in select tablename from pg_tables where schemaname = 'lwl_rollup' and tablename like 'sr_process_stats%' order by tablename desc loop 
		raise debug'Removing legacy table on %', partitionName;
		execute 'drop table lwl_rollup.' || partitionName;
        end loop;
END;
$$
Language plpgsql
Volatile
Called On Null Input
Security invoker;

select lwl_rollup.remove_legacy_stat_tables();
drop function lwl_rollup.remove_legacy_stat_tables();
