drop table if exists tnt_config.node_local_accounts;

create table tnt_config.node_local_accounts (
	id serial not null,
	node_id int not null references tnt_config.node (id) on delete cascade on update cascade,
	creation_time timestamp default now() not null,
	update_time timestamp,
	delete_time timestamp,
	username text not null,
	domain text,
	status text not null,
	admin bool not null default false,
	last_login_attempt timestamp,
	last_login_status text,

	primary key (id)

) without oids ;
create index local_acct_node_idx on tnt_config.node_local_accounts (node_id) where (delete_time is null);

alter table tnt_config.node_local_accounts owner to impadmin;
grant select on table tnt_config.node_local_accounts to reports;
