Create table "tnt_audit"."summaryreport_folder_ext_stats_hourly"
(
	"node_id" Integer NOT NULL,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"folder_name" Text NOT NULL,
	"name" Text NOT NULL,
	"count" Integer NOT NULL,
	"size" Bigint NOT NULL,
	"count_count" Integer,
	"size_count" Integer,
	"sample_count" Integer
) Without Oids;

Create table "tnt_audit"."summaryreport_folder_ext_stats_daily"
(
	"node_id" Integer NOT NULL,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"folder_name" Text NOT NULL,
	"name" Text NOT NULL,
	"count" Integer NOT NULL,
	"size" Bigint NOT NULL,
	"count_count" Integer,
	"size_count" Integer,
	"sample_count" Integer
) Without Oids;

Create table "tnt_audit"."summaryreport_folder_ext_stats_weekly"
(
	"node_id" Integer NOT NULL,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"folder_name" Text NOT NULL,
	"name" Text NOT NULL,
	"count" Integer NOT NULL,
	"size" Bigint NOT NULL,
	"count_count" Integer,
	"size_count" Integer,
	"sample_count" Integer
) Without Oids;

Create table "tnt_audit"."summaryreport_folder_ext_stats_monthly"
(
	"node_id" Integer NOT NULL,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"folder_name" Text NOT NULL,
	"name" Text NOT NULL,
	"count" Integer NOT NULL,
	"size" Bigint NOT NULL,
	"count_count" Integer,
	"size_count" Integer,
	"sample_count" Integer
) Without Oids;

Grant select on "tnt_audit"."summaryreport_folder_ext_stats_hourly" to "impadmin";
Grant update on "tnt_audit"."summaryreport_folder_ext_stats_hourly" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_folder_ext_stats_hourly" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_folder_ext_stats_hourly" to "impadmin";
Grant references on "tnt_audit"."summaryreport_folder_ext_stats_hourly" to "impadmin";
Grant select on "tnt_audit"."summaryreport_folder_ext_stats_hourly" to "reports";
Grant select on "tnt_audit"."summaryreport_folder_ext_stats_daily" to "impadmin";
Grant update on "tnt_audit"."summaryreport_folder_ext_stats_daily" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_folder_ext_stats_daily" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_folder_ext_stats_daily" to "impadmin";
Grant references on "tnt_audit"."summaryreport_folder_ext_stats_daily" to "impadmin";
Grant select on "tnt_audit"."summaryreport_folder_ext_stats_daily" to "reports";
Grant select on "tnt_audit"."summaryreport_folder_ext_stats_weekly" to "impadmin";
Grant update on "tnt_audit"."summaryreport_folder_ext_stats_weekly" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_folder_ext_stats_weekly" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_folder_ext_stats_weekly" to "impadmin";
Grant references on "tnt_audit"."summaryreport_folder_ext_stats_weekly" to "impadmin";
Grant select on "tnt_audit"."summaryreport_folder_ext_stats_weekly" to "reports";
Grant select on "tnt_audit"."summaryreport_folder_ext_stats_monthly" to "impadmin";
Grant update on "tnt_audit"."summaryreport_folder_ext_stats_monthly" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_folder_ext_stats_monthly" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_folder_ext_stats_monthly" to "impadmin";
Grant references on "tnt_audit"."summaryreport_folder_ext_stats_monthly" to "impadmin";
Grant select on "tnt_audit"."summaryreport_folder_ext_stats_monthly" to "reports";

alter table tnt_audit.summaryreport_folder_ext_stats_hourly owner to impadmin;
alter table tnt_audit.summaryreport_folder_ext_stats_daily owner to impadmin;
alter table tnt_audit.summaryreport_folder_ext_stats_weekly owner to impadmin;
alter table tnt_audit.summaryreport_folder_ext_stats_monthly owner to impadmin;
