Create table "tnt_config"."node_hardware_gpus"
(
	"id" Serial NOT NULL,
	"hardware_id" Integer NOT NULL,
	"model" Text NOT NULL,
	"speedmhz" Smallint NOT NULL,
	"memspeedmhz" Smallint NOT NULL,
	"os_hardware_id" text not null,
 primary key ("id")
) Without Oids;

Grant select on "tnt_config"."node_hardware_gpus" to "impadmin";
Grant update on "tnt_config"."node_hardware_gpus" to "impadmin";
Grant delete on "tnt_config"."node_hardware_gpus" to "impadmin";
Grant insert on "tnt_config"."node_hardware_gpus" to "impadmin";
Grant references on "tnt_config"."node_hardware_gpus" to "impadmin";
Grant select on "tnt_config"."node_hardware_gpus" to "reports";

grant all on tnt_config.node_hardware_gpus_id_seq to impadmin;
Alter table "tnt_config"."node_hardware_gpus" add  foreign key ("hardware_id") references "tnt_config"."node_hardware" ("id") on update cascade on delete cascade;
