Create table "tnt_config"."node_hardware_printers"
(
	"id" Serial NOT NULL,
	"hardware_id" Integer NOT NULL,
	"name" Text NOT NULL,
	"type" Varchar(20) NOT NULL,
	"driver" Text,
	"server" Text,
	"location" Text,
 primary key ("id")
) Without Oids;

Alter table "tnt_config"."node_hardware_printers" add  foreign key ("hardware_id") references "tnt_config"."node_hardware" ("id") on update cascade on delete cascade;

Grant select on "tnt_config"."node_hardware_printers" to "impadmin";
Grant update on "tnt_config"."node_hardware_printers" to "impadmin";
Grant delete on "tnt_config"."node_hardware_printers" to "impadmin";
Grant insert on "tnt_config"."node_hardware_printers" to "impadmin";
Grant references on "tnt_config"."node_hardware_printers" to "impadmin";
Grant select on "tnt_config"."node_hardware_printers" to "reports";
grant all on tnt_config.node_hardware_printers_id_seq to impadmin;
