--Version 143
-- Table  tnt_config.vdi_rating_profile
Alter Table tnt_config.vdi_rating_profile
 Add profile_default CHAR(1) default 'N' CHECK ('Y' or 'N'),
 Add profile_type CHAR(50),
 Add Status CHAR(50),
 Add Description character varying(255);
                                                                                                                                                        
UPDATE tnt_config.vdi_rating_profile
 SET profile_type= Name 
WHERE NAME='VDIFIT';

UPDATE tnt_config.vdi_rating_profile
 SET profile_default='Y'
WHERE NAME='VDIFIT';

UPDATE tnt_config.vdi_rating_profile
 SET profile_type= Name 
WHERE NAME='VDIUX'; 
 
UPDATE tnt_config.vdi_rating_profile
 SET  profile_default='Y'
WHERE NAME='VDIUX'; 
 	 
--Indexes
CREATE INDEX vdi_rating_profile_profile_type_idx
  ON tnt_config.vdi_rating_profile
  USING btree
  (profile_type);
  
CREATE INDEX vdi_rating_profile_profile_Status_idx
  ON tnt_config.vdi_rating_profile
  USING btree
  (Status);
 
 
 
------------------------

-- DROP TABLE tnt_config.vdi_rating_profile_policy_node;
CREATE TABLE tnt_config.vdi_rating_profile_policy_node
(
  policynode_id Integer NOT NULL,
  profile_id    Integer NOT NULL,
  PRIMARY KEY (policynode_id , profile_id),
  CONSTRAINT vdi_rating_profile_policy_node_policynode_id_fkey FOREIGN KEY (policynode_id)
      REFERENCES tnt_config.policynode (id) MATCH SIMPLE
      ON UPDATE CASCADE ON DELETE CASCADE,
  CONSTRAINT vdi_rating_profile_policy_node_profile_id_fkey FOREIGN KEY (profile_id)
      REFERENCES tnt_config.vdi_rating_profile(id) MATCH SIMPLE
      ON UPDATE CASCADE ON DELETE CASCADE
)
WITH (
  OIDS=FALSE
);
ALTER TABLE tnt_config.vdi_rating_profile_policy_node
  OWNER TO postgres;
GRANT ALL ON TABLE tnt_config.vdi_rating_profile_policy_node TO postgres;
GRANT SELECT, UPDATE, INSERT, DELETE, REFERENCES ON TABLE tnt_config.vdi_rating_profile_policy_node TO impadmin;
GRANT SELECT ON TABLE tnt_config.vdi_rating_profile_policy_node TO reports;
COMMENT ON TABLE tnt_config.vdi_rating_profile_policy_node
  IS 'Policy Node to vdi_rating_profile many to many relationship.';
COMMENT ON COLUMN tnt_config.vdi_rating_profile_policy_node.policynode_id IS 'Policy node id';
COMMENT ON COLUMN tnt_config.vdi_rating_profile_policy_node.profile_id IS 'profile id';
   
 
 --Assumption- there are only two profiles. populating table tnt_config.vdi_rating_profile_policy_node

INSERT INTO tnt_config.vdi_rating_profile_policy_node
 select id as policynode_id , 1 as profile_id from tnt_config.policynode;

 INSERT INTO tnt_config.vdi_rating_profile_policy_node
 select id as policynode_id , 2 as profile_id from tnt_config.policynode;

 
 -- Table  tnt_audit.summaryreports
Alter Table tnt_audit.summaryreports
 Add Fit_vdi_profile_id INTEGER,
 Add UX_vdi_profile_id INTEGER;