Create table "tnt_audit"."connectinterval"
(
        "connection_id" Varchar(70) NOT NULL,
        "interval_time" Timestamp NOT NULL,
        "sentpackets" Integer,
        "receivepackets" Integer,
        "sentbytes" Bigint,
        "receivebytes" Bigint
) Without Oids;


Grant select on "tnt_audit"."connectinterval" to "impadmin";
Grant update on "tnt_audit"."connectinterval" to "impadmin";
Grant delete on "tnt_audit"."connectinterval" to "impadmin";
Grant insert on "tnt_audit"."connectinterval" to "impadmin";
Grant references on "tnt_audit"."connectinterval" to "impadmin";
Grant select on "tnt_audit"."connectinterval" to "reports";

Comment on column "tnt_audit"."connectinterval"."connection_id" is 'unique connection id';
Comment on column "tnt_audit"."connectinterval"."interval_time" is 'time of interval';
Comment on column "tnt_audit"."connectinterval"."sentpackets" is 'packets sent during interval';
Comment on column "tnt_audit"."connectinterval"."receivepackets" is 'packets received during interval';
Comment on column "tnt_audit"."connectinterval"."sentbytes" is 'bytes sent during interval';
Comment on column "tnt_audit"."connectinterval"."receivebytes" is 'bytes received during interval';
