Create table "tnt_audit"."summaryreport_ping_stats"
(
	"node_id" Integer NOT NULL,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"packets_sent" Smallint NOT NULL,
	"packets_lost" Smallint NOT NULL,
	"address" Inet NOT NULL,
	"avg" Real NOT NULL,
	"peak" Real NOT NULL,
	"min" Real NOT NULL,
	"trend" Text
) Without Oids;

Grant select on "tnt_audit"."summaryreport_ping_stats" to "impadmin";
Grant update on "tnt_audit"."summaryreport_ping_stats" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_ping_stats" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_ping_stats" to "impadmin";
Grant references on "tnt_audit"."summaryreport_ping_stats" to "impadmin";
Grant select on "tnt_audit"."summaryreport_ping_stats" to "reports";

alter table tnt_audit.summaryreport_ping_stats owner to impadmin;
