Create table "tnt_audit"."summaryreport_folder_stats"
(
	"node_id" Integer NOT NULL,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"name" Text NOT NULL,
	"count" Integer NOT NULL,
	"size" Bigint NOT NULL
) Without Oids;


Create table "tnt_audit"."summaryreport_folder_ext_stats"
(
	"node_id" Integer NOT NULL,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"folder_name" Text NOT NULL,
	"name" Text NOT NULL,
	"count" Integer NOT NULL,
	"size" Bigint NOT NULL
) Without Oids;

Grant select on "tnt_audit"."summaryreport_folder_stats" to "impadmin";
Grant update on "tnt_audit"."summaryreport_folder_stats" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_folder_stats" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_folder_stats" to "impadmin";
Grant references on "tnt_audit"."summaryreport_folder_stats" to "impadmin";
Grant select on "tnt_audit"."summaryreport_folder_stats" to "reports";
Grant select on "tnt_audit"."summaryreport_folder_ext_stats" to "impadmin";
Grant update on "tnt_audit"."summaryreport_folder_ext_stats" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_folder_ext_stats" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_folder_ext_stats" to "impadmin";
Grant references on "tnt_audit"."summaryreport_folder_ext_stats" to "impadmin";
Grant select on "tnt_audit"."summaryreport_folder_ext_stats" to "reports";

alter table tnt_audit.summaryreport_folder_stats owner to impadmin;
alter table tnt_audit.summaryreport_folder_ext_stats owner to impadmin;
