drop table if exists tnt_audit.summaryreport_login_event_stats cascade;
create table tnt_audit.summaryreport_login_event_stats (
	node_id integer not null,
	start_date timestamp not null,
	end_date timestamp not null,
	name text not null,
	login_time timestamp not null,
	event_time timestamp not null,
	event_name text,
	details hstore not null
) partition by range (end_date);

ALTER TABLE tnt_audit.summaryreport_login_event_stats OWNER TO impadmin;
REVOKE ALL ON TABLE tnt_audit.summaryreport_login_event_stats FROM PUBLIC;
REVOKE ALL ON TABLE tnt_audit.summaryreport_login_event_stats FROM impadmin;
GRANT ALL ON TABLE tnt_audit.summaryreport_login_event_stats TO impadmin;
GRANT SELECT ON TABLE tnt_audit.summaryreport_login_event_stats TO reports;
GRANT SELECT ON TABLE tnt_audit.summaryreport_login_event_stats TO vcops;
