alter table tnt_config.nodegroup add auto_member_criteria text;
alter table tnt_config.identitygroup add auto_member_criteria text;

insert into tnt_config.policynode (name, status, type, driver_options, user_doc_dirs, user_doc_exts, statscollectioninterval, statsprocesscount, system_object) values ('Physical Machines', 0, 5, (select default_driver_options from tnt_config.globaloptions), (select default_user_doc_dirs from tnt_config.globaloptions), (select default_user_doc_exts from tnt_config.globaloptions), (select defaultstatscollectioninterval from tnt_config.globaloptions), (select defaultstatsprocesscount from tnt_config.globaloptions), true);
insert into tnt_config.nodegroup (id, auto_member_criteria) values ((select id from tnt_config.policynode where name = 'Physical Machines' and system_object = true), 'ReportParameterGroup(AND(ReportParameter(IS_VM(EQUALS false))))');

insert into tnt_config.policynode (name, status, type, driver_options, user_doc_dirs, user_doc_exts, statscollectioninterval, statsprocesscount, system_object) values ('Physical Desktops', 0, 5, (select default_driver_options from tnt_config.globaloptions), (select default_user_doc_dirs from tnt_config.globaloptions), (select default_user_doc_exts from tnt_config.globaloptions), (select defaultstatscollectioninterval from tnt_config.globaloptions), (select defaultstatsprocesscount from tnt_config.globaloptions), true);
-- desktop if windows and not windows erver
insert into tnt_config.nodegroup (id, auto_member_criteria) values ((select id from tnt_config.policynode where name = 'Physical Desktops' and system_object = true), 'ReportParameterGroup(AND(ReportParameter(IS_VM(EQUALS false)),ReportParameter(IS_DESKTOP(EQUALS true))))');

insert into tnt_config.policynode (name, status, type, driver_options, user_doc_dirs, user_doc_exts, statscollectioninterval, statsprocesscount, system_object) values ('Physical Servers', 0, 5, (select default_driver_options from tnt_config.globaloptions), (select default_user_doc_dirs from tnt_config.globaloptions), (select default_user_doc_exts from tnt_config.globaloptions), (select defaultstatscollectioninterval from tnt_config.globaloptions), (select defaultstatsprocesscount from tnt_config.globaloptions), true);
-- server if not windows or server in description 
insert into tnt_config.nodegroup (id, auto_member_criteria) values ((select id from tnt_config.policynode where name = 'Physical Servers' and system_object = true), 'ReportParameterGroup(AND(ReportParameter(IS_VM(EQUALS false)),ReportParameter(IS_DESKTOP(EQUALS false))))');


insert into tnt_config.policynode (name, status, type, driver_options, user_doc_dirs, user_doc_exts, statscollectioninterval, statsprocesscount, system_object) values ('Virtual Machines', 0, 5, (select default_driver_options from tnt_config.globaloptions), (select default_user_doc_dirs from tnt_config.globaloptions), (select default_user_doc_exts from tnt_config.globaloptions), (select defaultstatscollectioninterval from tnt_config.globaloptions), (select defaultstatsprocesscount from tnt_config.globaloptions), true);
insert into tnt_config.nodegroup (id, auto_member_criteria) values ((select id from tnt_config.policynode where name = 'Virtual Machines' and system_object = true), 'ReportParameterGroup(AND(ReportParameter(IS_VM(EQUALS true))))');

insert into tnt_config.policynode (name, status, type, driver_options, user_doc_dirs, user_doc_exts, statscollectioninterval, statsprocesscount, system_object) values ('Virtual Desktops', 0, 5, (select default_driver_options from tnt_config.globaloptions), (select default_user_doc_dirs from tnt_config.globaloptions), (select default_user_doc_exts from tnt_config.globaloptions), (select defaultstatscollectioninterval from tnt_config.globaloptions), (select defaultstatsprocesscount from tnt_config.globaloptions), true);
-- desktop if windows and not windows erver
insert into tnt_config.nodegroup (id, auto_member_criteria) values ((select id from tnt_config.policynode where name = 'Virtual Desktops' and system_object = true), 'ReportParameterGroup(AND(ReportParameter(IS_VM(EQUALS true)),ReportParameter(IS_DESKTOP(EQUALS true))))');

insert into tnt_config.policynode (name, status, type, driver_options, user_doc_dirs, user_doc_exts, statscollectioninterval, statsprocesscount, system_object) values ('Virtual Servers', 0, 5, (select default_driver_options from tnt_config.globaloptions), (select default_user_doc_dirs from tnt_config.globaloptions), (select default_user_doc_exts from tnt_config.globaloptions), (select defaultstatscollectioninterval from tnt_config.globaloptions), (select defaultstatsprocesscount from tnt_config.globaloptions), true);
-- server if not windows or server in description 
insert into tnt_config.nodegroup (id, auto_member_criteria) values ((select id from tnt_config.policynode where name = 'Virtual Servers' and system_object = true), 'ReportParameterGroup(AND(ReportParameter(IS_VM(EQUALS true)),ReportParameter(IS_DESKTOP(EQUALS false))))');

