create table tnt_audit.summaryreport_login_session_stats (
	node_id int not null,
	start_date timestamp not null,
	end_date timestamp not null,
	login_time timestamp not null,
	name text not null,
	session_id int not null,
	session_type text not null,
	event_time timestamp not null,	
	event_type text not null	
) partition by range (end_date);

alter table tnt_audit.summaryreport_login_session_stats OWNER TO impadmin;

Grant select on "tnt_audit"."summaryreport_login_session_stats" to "impadmin";
Grant update on "tnt_audit"."summaryreport_login_session_stats" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_login_session_stats" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_login_session_stats" to "impadmin";
Grant references on "tnt_audit"."summaryreport_login_session_stats" to "impadmin";
Grant select on "tnt_audit"."summaryreport_login_session_stats" to "reports";

