drop table if exists tnt_config.node_hardware_disks;
Create table "tnt_config"."node_hardware_disks"
(
        "id" Serial NOT NULL,
        "hardware_id" Integer NOT NULL,
        "name" text,
        "make" Text,
        "model" Text,
        "serialno" Text,
        "interface" Text,
        "type" Text,
        "capacitykb" bigint,
	"rotationspeed" int,
 primary key ("id")
) Without Oids;

alter table tnt_config.node_hardware_disks owner to impadmin;

Create index "node_hw_disk_hw_id_idx" on "tnt_config"."node_hardware_disks" using btree ("hardware_id");
Alter table "tnt_config"."node_hardware_disks" add  foreign key ("hardware_id") references "tnt_config"."node_hardware" ("id") on update cascade on delete cascade; 
Grant select on "tnt_config"."node_hardware_disks" to "impadmin";
Grant update on "tnt_config"."node_hardware_disks" to "impadmin";
Grant delete on "tnt_config"."node_hardware_disks" to "impadmin";
Grant insert on "tnt_config"."node_hardware_disks" to "impadmin";
Grant references on "tnt_config"."node_hardware_disks" to "impadmin";
Grant select on "tnt_config"."node_hardware_disks" to "reports";
