update tnt_config.globaloptions set default_user_doc_dirs = (case when now() - (select min(applied_time) from tnt_config.schema_changes) < '2 hours' then '%USERPROFILE%\Documents' else default_user_doc_dirs end);
update tnt_config.policynode set user_doc_dirs = (case when now() - (select min(applied_time) from tnt_config.schema_changes) < '2 hours' then '%USERPROFILE%\Documents' else user_doc_dirs end) where user_doc_dirs is not null and delete_time is null;
update tnt_config.globaloptions set default_user_doc_exts = (case when now() - (select min(applied_time) from tnt_config.schema_changes) < '2 hours' then 'doc,docx,xls,xlsx,ppt,pptx,pdf' else default_user_doc_exts end);
update tnt_config.policynode set user_doc_exts = (case when now() - (select min(applied_time) from tnt_config.schema_changes) < '2 hours' then 'doc,docx,xls,xlsx,ppt,pptx,pdf' else user_doc_exts end);

-- folder stats for physical desktops only,  login breakdown, IE stats on, chrome off
update tnt_config.globaloptions set default_driver_options = default_driver_options || hstore('stat_options', (case when now() - (select min(applied_time) from tnt_config.schema_changes) < '2 hours' then ((default_driver_options->'stat_options')::int4 | (1 << 0) | (1 << 12) | (1 << 11) | (1 << 6) | (1 << 7))::text else (default_driver_options->'stat_options') end));
update tnt_config.globaloptions set default_driver_options = default_driver_options || hstore('stat_options', (case when now() - (select min(applied_time) from tnt_config.schema_changes) < '2 hours' then ((default_driver_options->'stat_options')::int4 # (1 << 13) # (1 << 8))::text else (default_driver_options->'stat_options') end));
update tnt_config.policynode set driver_options = driver_options || hstore('stat_options', (case when now() - (select min(applied_time) from tnt_config.schema_changes) < '2 hours' then ((driver_options->'stat_options')::int4 | (1 << 0) | (1 << 12) | (1 << 11) | (1 << 6) | (1 << 7))::text else (driver_options->'stat_options') end)) where delete_time is null;
update tnt_config.policynode set driver_options = driver_options || hstore('stat_options', (case when now() - (select min(applied_time) from tnt_config.schema_changes) < '2 hours' then ((driver_options->'stat_options')::int4 # (1 << 13) # (1 << 8))::text else (driver_options->'stat_options') end)) where delete_time is null;

-- traceroute disabled
update tnt_config.globaloptions set default_driver_options = default_driver_options || hstore('driver_options', (case when now() - (select min(applied_time) from tnt_config.schema_changes) < '2 hours' then ((default_driver_options->'driver_options')::int4 # (1 << 19))::text else (default_driver_options->'driver_options') end));
update tnt_config.policynode set driver_options = driver_options || hstore('driver_options', (case when now() - (select min(applied_time) from tnt_config.schema_changes) < '2 hours' then ((driver_options->'driver_options')::int4 # (1 << 19))::text else (driver_options->'driver_options') end)) where delete_time is null;
