-- any report that supports station group filtering and nothing applied, set to 'all'
update tnt_config.customreport set additional_filters = (additional_filters || (case when length(additional_filters) > 0 then '::' else '' end) || 'station_group_id::-1') where required_parameters ilike '%STATION_GROUP%' and additional_filters not ilike '%station_group_id%';
-- any report that supports station group filtering and set to 'default', set to 'all' *only* if the station group count is 1
update tnt_config.customreport set additional_filters = (case when (select count(*) from tnt_config.trustednetwork where delete_time is null) = 1 then replace(additional_filters, 'station_group_id::1', 'station_group_id::-1') else additional_filters end) where required_parameters ilike '%STATION_GROUP%' and additional_filters ilike '%station_group_id%';
