Create table "tnt_audit"."summaryreport_login_stats_hourly"
(
	"name" Text NOT NULL,
	"login_delay_ms" Integer,
	"node_id" Integer NOT NULL,
	"user_id" Integer,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"secs_active" Integer,
	"sample_count" Integer,
	"login_delay_ms_count" Integer,
	"first_record" Boolean NOT NULL Default false
) Without Oids;

Create table "tnt_audit"."summaryreport_login_stats_daily"
(
	"name" Text NOT NULL,
	"login_delay_ms" Integer,
	"node_id" Integer NOT NULL,
	"user_id" Integer,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"secs_active" Integer,
	"sample_count" Integer,
	"login_delay_ms_count" Integer,
	"first_record" Boolean NOT NULL Default false
) Without Oids;

Create table "tnt_audit"."summaryreport_login_stats_weekly"
(
	"name" Text NOT NULL,
	"login_delay_ms" Integer,
	"node_id" Integer NOT NULL,
	"user_id" Integer,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"secs_active" Integer,
	"sample_count" Integer,
	"login_delay_ms_count" Integer,
	"first_record" Boolean NOT NULL Default false
) Without Oids;

Create table "tnt_audit"."summaryreport_login_stats_monthly"
(
	"name" Text NOT NULL,
	"login_delay_ms" Integer,
	"node_id" Integer NOT NULL,
	"user_id" Integer,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"secs_active" Integer,
	"sample_count" Integer,
	"login_delay_ms_count" Integer,
	"first_record" Boolean NOT NULL Default false
) Without Oids;


Grant select on "tnt_audit"."summaryreport_login_stats_hourly" to "impadmin";
Grant update on "tnt_audit"."summaryreport_login_stats_hourly" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_login_stats_hourly" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_login_stats_hourly" to "impadmin";
Grant references on "tnt_audit"."summaryreport_login_stats_hourly" to "impadmin";
Grant select on "tnt_audit"."summaryreport_login_stats_hourly" to "reports";
alter table tnt_audit.summaryreport_login_stats_hourly owner to impadmin;

Grant select on "tnt_audit"."summaryreport_login_stats_daily" to "impadmin";
Grant update on "tnt_audit"."summaryreport_login_stats_daily" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_login_stats_daily" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_login_stats_daily" to "impadmin";
Grant references on "tnt_audit"."summaryreport_login_stats_daily" to "impadmin";
Grant select on "tnt_audit"."summaryreport_login_stats_daily" to "reports";
alter table tnt_audit.summaryreport_login_stats_daily owner to impadmin;

Grant select on "tnt_audit"."summaryreport_login_stats_weekly" to "impadmin";
Grant update on "tnt_audit"."summaryreport_login_stats_weekly" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_login_stats_weekly" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_login_stats_weekly" to "impadmin";
Grant references on "tnt_audit"."summaryreport_login_stats_weekly" to "impadmin";
Grant select on "tnt_audit"."summaryreport_login_stats_weekly" to "reports";
alter table tnt_audit.summaryreport_login_stats_weekly owner to impadmin;

Grant select on "tnt_audit"."summaryreport_login_stats_monthly" to "impadmin";
Grant update on "tnt_audit"."summaryreport_login_stats_monthly" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_login_stats_monthly" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_login_stats_monthly" to "impadmin";
Grant references on "tnt_audit"."summaryreport_login_stats_monthly" to "impadmin";
Grant select on "tnt_audit"."summaryreport_login_stats_monthly" to "reports";
alter table tnt_audit.summaryreport_login_stats_monthly owner to impadmin;
