Create table "tnt_audit"."summaryreport_ping_stats_daily"
(
	"node_id" Integer NOT NULL,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"packets_sent" int4 NOT NULL,
	"packets_lost" int4 NOT NULL,
	"address" Inet NOT NULL,
	"avg" Real NOT NULL,
	"peak" Real NOT NULL,
	"min" Real NOT NULL,
	"sample_count" Integer,
	"avg_count" Integer
) Without Oids;

Create table "tnt_audit"."summaryreport_ping_stats_hourly"
(
	"node_id" Integer NOT NULL,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"packets_sent" int4 NOT NULL,
	"packets_lost" int4 NOT NULL,
	"address" Inet NOT NULL,
	"avg" Real NOT NULL,
	"peak" Real NOT NULL,
	"min" Real NOT NULL,
	"sample_count" Integer,
	"avg_count" Integer
) Without Oids;

Create table "tnt_audit"."summaryreport_ping_stats_weekly"
(
	"node_id" Integer NOT NULL,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"packets_sent" int4 NOT NULL,
	"packets_lost" int4 NOT NULL,
	"address" Inet NOT NULL,
	"avg" Real NOT NULL,
	"peak" Real NOT NULL,
	"min" Real NOT NULL,
	"sample_count" Integer,
	"avg_count" Integer
) Without Oids;

Create table "tnt_audit"."summaryreport_ping_stats_monthly"
(
	"node_id" Integer NOT NULL,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"packets_sent" int4 NOT NULL,
	"packets_lost" int4 NOT NULL,
	"address" Inet NOT NULL,
	"avg" Real NOT NULL,
	"peak" Real NOT NULL,
	"min" Real NOT NULL,
	"sample_count" Integer,
	"avg_count" Integer
) Without Oids;

Grant select on "tnt_audit"."summaryreport_ping_stats_daily" to "impadmin";
Grant update on "tnt_audit"."summaryreport_ping_stats_daily" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_ping_stats_daily" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_ping_stats_daily" to "impadmin";
Grant references on "tnt_audit"."summaryreport_ping_stats_daily" to "impadmin";
Grant select on "tnt_audit"."summaryreport_ping_stats_daily" to "reports";
Grant select on "tnt_audit"."summaryreport_ping_stats_hourly" to "impadmin";
Grant update on "tnt_audit"."summaryreport_ping_stats_hourly" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_ping_stats_hourly" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_ping_stats_hourly" to "impadmin";
Grant references on "tnt_audit"."summaryreport_ping_stats_hourly" to "impadmin";
Grant select on "tnt_audit"."summaryreport_ping_stats_hourly" to "reports";
Grant select on "tnt_audit"."summaryreport_ping_stats_weekly" to "impadmin";
Grant update on "tnt_audit"."summaryreport_ping_stats_weekly" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_ping_stats_weekly" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_ping_stats_weekly" to "impadmin";
Grant references on "tnt_audit"."summaryreport_ping_stats_weekly" to "impadmin";
Grant select on "tnt_audit"."summaryreport_ping_stats_weekly" to "reports";
Grant select on "tnt_audit"."summaryreport_ping_stats_monthly" to "impadmin";
Grant update on "tnt_audit"."summaryreport_ping_stats_monthly" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_ping_stats_monthly" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_ping_stats_monthly" to "impadmin";
Grant references on "tnt_audit"."summaryreport_ping_stats_monthly" to "impadmin";
Grant select on "tnt_audit"."summaryreport_ping_stats_monthly" to "reports";

alter table tnt_audit.summaryreport_ping_stats_hourly owner to impadmin;
alter table tnt_audit.summaryreport_ping_stats_daily owner to impadmin;
alter table tnt_audit.summaryreport_ping_stats_weekly owner to impadmin;
alter table tnt_audit.summaryreport_ping_stats_monthly owner to impadmin;
