Create table "tnt_audit"."summaryreport_display_proto_stats"
(
	"node_id" Integer NOT NULL,
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"session_start" Timestamp NOT NULL,
	"session_end" Timestamp,
	"type" Varchar(15) NOT NULL,
	"user_id" Integer,
	"recv_total_kbyte" Integer,
	"recv_avg_kbit" Integer,
	"recv_max_kbit" Integer,
	"recv_min_kbit" Integer,
	"recv_packet_loss_percent" Real,
	"recv_trend" Text,
	"sent_total_kbyte" Integer,
	"sent_avg_kbit" Integer,
	"sent_max_kbit" Integer,
	"sent_min_kbit" Integer,
	"sent_packet_loss_percent" Real,
	"sent_trend" Text,
	"round_trip_latency_avg_ms" Integer,
	"round_trip_latency_max_ms" Integer,
	"round_trip_latency_min_ms" Integer,
	"round_trip_latency_trend" Text,
	"recv_total_audio_kbyte" Integer,
	"recv_avg_audio_kbit" Integer,
	"recv_max_audio_kbit" Integer,
	"recv_min_audio_kbit" Integer,
	"recv_audio_trend" Text,
	"sent_total_audio_kbyte" Integer,
	"sent_avg_audio_kbit" Integer,
	"sent_max_audio_kbit" Integer,
	"sent_min_audio_kbit" Integer,
	"sent_audio_trend" Text,
	"recv_total_img_kbyte" Integer,
	"recv_avg_img_kbit" Integer,
	"recv_max_img_kbit" Integer,
	"recv_min_img_kbit" Integer,
	"recv_img_trend" Text,
	"sent_total_img_kbyte" Integer,
	"sent_avg_img_kbit" Integer,
	"sent_max_img_kbit" Integer,
	"sent_min_img_kbit" Integer,
	"sent_img_trend" Text,
	"recv_total_usb_kbyte" Integer,
	"recv_avg_usb_kbit" Integer,
	"recv_max_usb_kbit" Integer,
	"recv_min_usb_kbit" Integer,
	"recv_usb_trend" Text,
	"sent_total_usb_kbyte" Integer,
	"sent_avg_usb_kbit" Integer,
	"sent_max_usb_kbit" Integer,
	"sent_min_usb_kbit" Integer,
	"sent_usb_trend" Text,
	"min_img_quality_avg_percent" Integer,
	"min_img_quality_max_percent" Integer,
	"min_img_quality_min_percent" Integer,
	"min_img_quality_trend" Text
) Without Oids;
Grant select on "tnt_audit"."summaryreport_display_proto_stats" to "impadmin";
Grant update on "tnt_audit"."summaryreport_display_proto_stats" to "impadmin";
Grant delete on "tnt_audit"."summaryreport_display_proto_stats" to "impadmin";
Grant insert on "tnt_audit"."summaryreport_display_proto_stats" to "impadmin";
Grant references on "tnt_audit"."summaryreport_display_proto_stats" to "impadmin";
Grant select on "tnt_audit"."summaryreport_display_proto_stats" to "reports";
alter table "tnt_audit"."summaryreport_display_proto_stats" owner to "impadmin";
