-- add version columns to legacy tables and stop using update_time for versioning
alter table tnt_config.application add version int not null default 0;
alter table tnt_config.domain add version int not null default 0;
alter table tnt_config.domaincontroller add version int not null default 0;
alter table tnt_config.host_application add version int not null default 0;
alter table tnt_config.identityrole add version int not null default 0;
alter table tnt_config.policyidentity add version int not null default 0;
alter table tnt_config.interface add version int not null default 0;
alter table tnt_config.job add version int not null default 0;
alter table tnt_config.key add version int not null default 0;
alter table tnt_config.policynode add version int not null default 0;
alter table tnt_config.policy add version int not null default 0;
alter table tnt_config.policysnapshot add version int not null default 0;
alter table tnt_config.protocol add version int not null default 0;
alter table tnt_config.reportfilter add version int not null default 0;
alter table tnt_config.timewindow add version int not null default 0;
alter table tnt_config.trustednetwork add version int not null default 0;
-- add update_time to some tables to match object model
alter table tnt_audit.archivedreport add update_time timestamp;
alter table tnt_config.chargeplan add update_time timestamp;
alter table tnt_config.chargeplandiscount add update_time timestamp;
alter table tnt_config.customreport add update_time timestamp;
alter table tnt_config.reportcategory add update_time timestamp;
alter table tnt_config.servicelevel add update_time timestamp;
-- set default for some creation_time's
alter table tnt_config.virtualmanagementsystem ALTER COLUMN creation_time set default current_timestamp;
