Create table "tnt_audit"."hoststats"
(
	"start_date" Timestamp NOT NULL,
	"end_date" Timestamp NOT NULL,
	"avg_cpu_used_percent" Real,
	"avg_mem_used_percent" Real,
	"avg_net_io_kbps" Real,
	"avg_disk_io_kbps" Real,
	"vmhost_id" Integer NOT NULL
) Without Oids;

Grant select on "tnt_audit"."hoststats" to "impadmin";
Grant update on "tnt_audit"."hoststats" to "impadmin";
Grant delete on "tnt_audit"."hoststats" to "impadmin";
Grant insert on "tnt_audit"."hoststats" to "impadmin";
Grant references on "tnt_audit"."hoststats" to "impadmin";
Grant select on "tnt_audit"."hoststats" to "reports";
alter TABLE tnt_audit.hoststats OWNER TO impadmin;
