-- merge in profile unity default group from 4.5.2
update tnt_config.portalbase set pu_ad_group='ProfileUnity';
alter table tnt_config.portalbase add user_privacy boolean default false;
alter table tnt_config.portalbase add machine_privacy boolean default false;

-- new apollo stuff
Create role "lwl_sync";
Grant select on "tnt_config"."domain" to "lwl_sync";
Grant update on "tnt_config"."domain" to "lwl_sync";
Grant insert on "tnt_config"."domain" to "lwl_sync";
Grant select on "tnt_config"."identitygroup_identity" to "lwl_sync";
Grant update on "tnt_config"."identitygroup_identity" to "lwl_sync";
Grant insert on "tnt_config"."identitygroup_identity" to "lwl_sync";
Grant select on "tnt_config"."healthstatus" to "lwl_sync";
Grant select on "tnt_config"."interface" to "lwl_sync";
Grant update on "tnt_config"."interface" to "lwl_sync";
Grant insert on "tnt_config"."interface" to "lwl_sync";
Grant select on "tnt_config"."key" to "lwl_sync";
Grant select on "tnt_config"."domaincontroller" to "lwl_sync";
Grant select on "tnt_config"."node" to "lwl_sync";
Grant update on "tnt_config"."node" to "lwl_sync";
Grant insert on "tnt_config"."node" to "lwl_sync";
Grant select on "tnt_config"."nodegroup" to "lwl_sync";
Grant update on "tnt_config"."nodegroup" to "lwl_sync";
Grant insert on "tnt_config"."nodegroup" to "lwl_sync";
Grant select on "tnt_config"."nodegroup_node" to "lwl_sync";
Grant update on "tnt_config"."nodegroup_node" to "lwl_sync";
Grant insert on "tnt_config"."nodegroup_node" to "lwl_sync";
Grant select on "tnt_config"."nodetype" to "lwl_sync";
Grant select on "tnt_config"."policynode" to "lwl_sync";
Grant update on "tnt_config"."policynode" to "lwl_sync";
Grant insert on "tnt_config"."policynode" to "lwl_sync";
Grant select on "tnt_config"."identity" to "lwl_sync";
Grant update on "tnt_config"."identity" to "lwl_sync";
Grant insert on "tnt_config"."identity" to "lwl_sync";
Grant select on "tnt_config"."identitytype" to "lwl_sync";
Grant select on "tnt_config"."identitygroup" to "lwl_sync";
Grant update on "tnt_config"."identitygroup" to "lwl_sync";
Grant insert on "tnt_config"."identitygroup" to "lwl_sync";
Grant select on "tnt_config"."policyidentity" to "lwl_sync";
Grant update on "tnt_config"."policyidentity" to "lwl_sync";
Grant insert on "tnt_config"."policyidentity" to "lwl_sync";
Grant select on "tnt_config"."identityrole" to "lwl_sync";
Grant select on "tnt_config"."customreport" to "lwl_sync";
Grant select on "tnt_audit"."archivedreport" to "lwl_sync";
Grant update on "tnt_audit"."archivedreport" to "lwl_sync";
Grant insert on "tnt_audit"."archivedreport" to "lwl_sync";
Grant select on "tnt_config"."virtualmanagementsystem" to "lwl_sync";
Grant select on "tnt_config"."datastore" to "lwl_sync";
Grant select on "tnt_config"."virtualdisk" to "lwl_sync";
Grant select on "tnt_audit"."summaryreport_process_stats" to "lwl_sync";
Grant update on "tnt_audit"."summaryreport_process_stats" to "lwl_sync";
Grant delete on "tnt_audit"."summaryreport_process_stats" to "lwl_sync";
Grant insert on "tnt_audit"."summaryreport_process_stats" to "lwl_sync";
Grant references on "tnt_audit"."summaryreport_process_stats" to "lwl_sync";
Grant select on "tnt_config"."vmhost" to "lwl_sync";
Grant select on "tnt_config"."node_hardware" to "lwl_sync";
Grant select on "tnt_config"."node_hardware_cpus" to "lwl_sync";
Grant select on "tnt_config"."node_hardware_displays" to "lwl_sync";
Grant select on "tnt_config"."node_hardware_extdevices" to "lwl_sync";
Grant select on "tnt_config"."os" to "lwl_sync";
Grant execute on function "tnt_config"."grantsequences" ("text") to "lwl_sync";
Grant select on "tnt_config"."os" to "lwl_sync";
Grant update on "tnt_config"."os" to "lwl_sync";
Grant delete on "tnt_config"."os" to "lwl_sync";
Grant insert on "tnt_config"."os" to "lwl_sync";
Grant references on "tnt_config"."os" to "lwl_sync";
Grant select on "tnt_config"."portalbase" to "lwl_sync";
GRANT USAGE ON SCHEMA tnt_config to lwl_sync;
grant all on tnt_config.policyidentity_id_seq TO lwl_sync;
grant all on tnt_config.policynode_id_seq TO lwl_sync;
grant all on tnt_config.interface_id_seq to lwl_sync;
grant all on tnt_config.node_hardware_id_seq to lwl_sync;
grant all on tnt_config.node_hardware_cpus_id_seq to lwl_sync;
grant all on tnt_config.node_hardware_displays_id_seq to lwl_sync;
grant all on tnt_config.node_hardware_extdevices_id_seq to lwl_sync;
grant all on tnt_config.os_id_seq to lwl_sync;
grant SELECT ON tnt_config.gatekeeperbase to lwl_sync;
grant SELECT ON tnt_config.trustednetwork to lwl_sync;
grant all on tnt_config.alerts_id_seq to lwl_sync;
Grant select on "tnt_config"."alerts" to "lwl_sync";
Grant update on "tnt_config"."alerts" to "lwl_sync";
Grant delete on "tnt_config"."alerts" to "lwl_sync";
Grant insert on "tnt_config"."alerts" to "lwl_sync";
Grant references on "tnt_config"."alerts" to "lwl_sync";
