alter table "tnt_config"."vdi_rating_profile_components" add "weight" Real;
-- update weights with existing components
update tnt_config.vdi_rating_profile_components set weight = (select 1::real / count(*) from tnt_config.vdi_rating_profile_components where axis = 'X' and comparison != 'ADDITIONAL_INFO' and rating_profile_id = 1) where axis = 'X' and comparison != 'ADDITIONAL_INFO' and rating_profile_id = 1;
update tnt_config.vdi_rating_profile_components set weight = (select 1::real / count(*) from tnt_config.vdi_rating_profile_components where axis = 'Y' and comparison != 'ADDITIONAL_INFO' and rating_profile_id = 1) where axis = 'Y' and comparison != 'ADDITIONAL_INFO' and rating_profile_id = 1;
update tnt_config.vdi_rating_profile_components set weight = (select 1::real / count(*) from tnt_config.vdi_rating_profile_components where axis = 'X' and comparison != 'ADDITIONAL_INFO' and rating_profile_id = 2) where axis = 'X' and comparison != 'ADDITIONAL_INFO' and rating_profile_id = 2;
update tnt_config.vdi_rating_profile_components set weight = (select 1::real / count(*) from tnt_config.vdi_rating_profile_components where axis = 'Y' and comparison != 'ADDITIONAL_INFO' and rating_profile_id = 2) where axis = 'Y' and comparison != 'ADDITIONAL_INFO' and rating_profile_id = 2;
-- and new components with a weight of 0
insert into tnt_config.vdi_rating_profile_components (rating_profile_id, version, axis, comparison, fair_threshold, poor_threshold, calculator_classname, weight) values ((select id from tnt_config.vdi_rating_profile where name = 'VDIFIT'), 0, 'Y', 'GREATER_THAN', 1, 2, 'com.trustednetworktech.identity.common.data.stats.vdirating.calculators.TotalMonitorCountVdiRatingProfileCalculator', 0);
insert into tnt_config.vdi_rating_profile_components (rating_profile_id, version, axis, comparison, fair_threshold, poor_threshold, calculator_classname, weight) values ((select id from tnt_config.vdi_rating_profile where name = 'VDIUX'), 0, 'X', 'GREATER_THAN', 15, 30, 'com.trustednetworktech.identity.common.data.stats.vdirating.calculators.TotalAverageDiskIopsVdiRatingProfileCalculator', 0);
